/* Line heights */

.line-height__small {
  line-height: 0.75;
}

.line-height__small--x {
  line-height: 0.875;
}

.line-height__normal {
  line-height: 1;
}

.line-height__medium {
  line-height: 1.125;
}

.line-height__medium--x {
  line-height: 1.25;
}

.line-height__big {
  line-height: 1.375;
}

.line-height__big--x {
  line-height: 1.5;
}

.line-height__mega {
  line-height: 1.875;
}

.line-height__mega--x {
  line-height: 2.25;
}

@media only screen and (max-width: $wrap__sm) {
  .line-height__medium--x {
    font-size: 1.125rem;
  }

  .line-height__big {
    font-size: 1.25rem;
  }

  .line-height__big--x {
    font-size: 1.5rem;
  }

  .line-height__mega {
    font-size: 1.875rem;
  }

  .line-height__mega--x {
    font-size: 2rem;
  }
}

@media only screen and (max-width: $wrap__xs) {
  .line-height__big--x {
    font-size: 1.375rem;
  }

  .line-height__mega {
    font-size: 1.5rem;
  }

  .line-height__mega--x {
    font-size: 1.75rem;
  }
}
